Package org.eclipse.draw2d

# Class DeferredUpdateManager.UpdateRequest

java.lang.Object
org.eclipse.draw2d.DeferredUpdateManager.UpdateRequest

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `DeferredUpdateManager`

protected class DeferredUpdateManager.UpdateRequest extends Object implements Runnable
Calls `DeferredUpdateManager.performUpdate()`.

## Constructor Summary

Constructors
Constructor
Description
`UpdateRequest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Calls `DeferredUpdateManager.performUpdate()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UpdateRequest

public UpdateRequest()

## Method Details

### run

public void run()
Calls `DeferredUpdateManager.performUpdate()`.

Specified by:
  `run` in interface `Runnable`